Type to search.

Explore graph analytics

  • POST also GET /{index}/_graph/explore
Auth

Extract and summarize information about the documents and terms in an Elasticsearch data stream or index. The easiest way to understand the behavior of this API is to use the Graph UI to explore connections. An initial request to the _explore API contains a seed query that identifies the documents of interest and specifies the fields that define the vertices and connections you want to include in the graph. Subsequent requests enable you to spider out from one more vertices of interest. You can exclude vertices that have already been returned.

Learn more about graphs

Required privileges

Index privileges read

Path parameters

index union string | string[] required

Name of the index.

Query parameters

routing union string | string[]

Custom value used to route operations to a specific shard.

timeout union oneOf

Specifies the period of time to wait for a response from each shard. If no response is received before the timeout expires, the request fails and returns an error. Defaults to no timeout.

Values: -1 0

Request body

query {} Query

A seed query that identifies the documents of interest. Can be any valid Elasticsearch query.

Response

application/json
connections object[] required
doc_count number required
source number required
target number required
weight number required
failures object[] required
index string
node string
reason object required
type string required

The type of error

reason union string nullable

A human-readable explanation of the error, in English.

One of: string
stack_trace string

The server stack trace. Present only if the error_trace=true parameter was sent with the request.

caused_by object
Same fields as reason in failures
root_cause object[]
Same fields as reason in failures
suppressed object[]
Same fields as reason in failures
shard number
status string
primary boolean
timed_out boolean required
took number required
vertices object[] required
depth number required
field string required
term string required
weight number required